/*
ivector.h

matrix manipulation library
version 0.06
Peter A. Cejchan, GPL
Mon Jul 31 12:24:25 MET 2006
<cej@gli.cas.cz | pac7@post.cz>

int and bool  vector structure and functions

*/

//structures
struct iVector{
	int len;
	int *x;
};

//functions

iVector * ivec_alloc(int len);		// allocates memory for an int vector
int  ivec_read(iVector *V);			// read whitespace-delimited vector
int ivec_neighborpair(iVector *V, iMatrix *M);		// matrix predecessor/successor combinations
void  ivec_write(iVector *V);		// write out a vector
int  ivec_wheremax(iVector *V);	//prints out col index of first occurrence of max value
int  ivec_max(iVector *V);			//prints max value found
int  ivec_scalar_prod(iVector *v1,iVector *v2);		// scalar product: SUM[ v1i*v2i ]
