.TH raw2qap 1 "Version 0.03" "2007/03/20"                                             
.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
.\" other parms are allowed: see man(7), man(1)
.SH NAME
raw2qap - converts raw data matrix to an instance of the Quadratic Assignment Problem.
     
.SH SYNOPSIS
.B raw2qap
.I "[big?] [number]"
.SH DESCRIPTION
.B raw2qap
is a program which transforms a raw data matrix (consisting of abundances of species in samples drawn from an environmental gradient) to the distance and flow matrices of the Quadratic Assignment Problem corresponding to the appropriate gradient reconstruction.
.SH INPUT
It reads the number of samples (int), number of species (int), and the abundance matrix (int), from stdin. 
The matrix is read in samplewise, i.e, species change fastest, samples slowest.

.SH OPTIONS
[big?] - if nonzero, flows are multiplied by num/maxflow, to avoid the overflow of the QAP algorithm.

.SH OUTPUT
The program prints out the dimension of the problem, the distance and flow matrices. Conforms with the QAPLIB format. This output is suitable for input to QAP solving program, e.g., gqapd.

.SH EXAMPLE
itransp < gauss.dat | raw2qap
.br
transposes the data matrix
.B
gauss.dat
and feeds it to
.B
raw2qap.
Prints QAP instance onto 
.B
stdout.

.SH SEE ALSO
.BR gqapd (1), 
.BR gqapd-p (1). 
See the source code for more info.Refer to http://www.gli.cas.cz/home/cejchan/model/probab-model.ps
.SH LICENSE
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version. To see the License, 
please, visit http://www.gnu.org/copyleft/gpl.html.
.SH AUTHOR
The code and this manual page was written by Peter Cejchan <cej@gli.cas.cz>.
.IP "Primary site: http://www.bell-labs.com"

.SH FILES
/n/sources/contrib/pac/sys/src/cmd/raw2qap*.tbz
.br